Subject: Re: SIP support of caller ID

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 01 Mar 2000 01:04:59 -0500

Bill Marshall has pointed out that the DCS mechanism addresses this. It
also aims at enabling things like call trace and calling name/number
delivery restriction.

If you don't need all that, you can have authenticated caller ID in the
base spec. You'll notice that the Authorization header allows for a
signed-by attribute to indicate who signed the request. So, if I make a
call, my local outbound proxy can authenticate me (say, using digest),
and then do a real public key signature if the name in the From field is
really me. The signed by attribute then indicates that the server signed
the request. 

-Jonathan R.

Dave Walker wrote:
> 
> It sounds appealing.  But what can we do about a user who feels like
> lying?  For example, I'll always answer a call from "Bill Gates" (or
> will I??).  If the user is known to a proxy in the signalling path, it's
> possible for that proxy to insert or validate the display name and
> then, more importantly, to signal that it has done so.  This could,
> for example, use a new addr-param (;screenedby=servername) in the From,
> or a new header (Screened-Display: displayname servername).  Of course,
> this assumes that servers are more trustworthy than users.  If someone's
> server sends me too many fraudulent displaynames, maybe I'll just stop
> accepting calls from it.
> 
> Dave.
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Henning
> > Schulzrinne
> > Sent: Tuesday, February 29, 2000 12:31 PM
> > To: Wing Man Kwok
> > Cc: [email-masked]'
> > Subject: Re: SIP support of caller ID
> >
> >
> > Wing Man Kwok wrote:
> > >
> > > All,
> > >
> > > I read from the SIP FAQ that SIP supports caller ID.  But I
> > cannot find any
> > > description of this in rfc2543.  How does SIP support caller ID?
> >
> > Depends on the details, but basically, simply stick the caller name in
> > the display name field, and the number in the user name. Done.
> >
> > >
> > > Thanks in advance
> > >
> > > Wing Man Kwok
> > > Telogy Networks
> >
> > --
> > Henning Schulzrinne   http://www.cs.columbia.edu/~hgs
> >
> >

-- 
Jonathan D. Rosenberg                       200 Executive Drive
Chief Scientist                             Suite 120 
dynamicsoft                                 West Orange, NJ 07052
[email-masked]                     FAX:   (732) 741-4778
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com